import { useEffect, useState } from 'react';
import './App.css';
import AddTeam from './components/AddTeam'; // 更新路徑
import QueryTeam from './components/QueryTeam'; // 更新路徑

const App = () => {
	// 從 localStorage 讀取當前選擇的分頁
	const savedTab = localStorage.getItem('activeTab') || 'addTeam';
	const [activeTab, setActiveTab] = useState(savedTab);

	// 當 activeTab 改變時，將其儲存到 localStorage
	useEffect(() => {
		localStorage.setItem('activeTab', activeTab);
	}, [activeTab]);

	const renderContent = () => {
		switch (activeTab) {
			case 'addTeam':
				return <AddTeam />;
			case 'queryTeam':
				return <QueryTeam />;
			default:
				return null;
		}
	};

	return (
		<div className="app-container">
			<nav>
				<button onClick={() => setActiveTab('addTeam')}>新增隊伍</button>
				<button onClick={() => setActiveTab('queryTeam')}>查詢隊伍</button>
			</nav>
			<div className="content">{renderContent()}</div>
		</div>
	);
};

export default App;
